Bug 485915 - (mingw32-wpcap) Review Request: mingw32-wpcap - winpcap library (user level packet capture) for MinGW
Review Request: mingw32-wpcap - winpcap library (user level packet capture) f...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On: mingw32-gcc
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-17 08:20 EST by Thomas Sailer
Modified: 2009-03-31 16:31 EDT (History)
4 users (show)

See Also:
Fixed In Version: 4.1.beta5-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-31 16:31:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rjones: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Sailer 2009-02-17 08:20:44 EST
Spec URL: http://sailer.fedorapeople.org/mingw32-wpcap.spec
SRPM URL: http://sailer.fedorapeople.org/mingw32-wpcap-4.1.beta5-1.fc10.src.rpm
Description:
MinGW Windows pcap library. This is a port of libpcap to windows. pcap implements user-level network packet capture.

Approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW
Comment 1 Richard W.M. Jones 2009-02-17 09:13:58 EST
At an initial brief look over the spec file, it looks to be
packaged sanely.  I'm super-busy this week, but if I get some
time I may be able to review.
Comment 2 Richard W.M. Jones 2009-03-24 09:00:43 EDT
Taking for review ...
Comment 3 Richard W.M. Jones 2009-03-25 06:41:30 EDT
Koji scratch build FAILED:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1257804
This is because the BR should be dos2unix, not unix2dos.

Koji scratch build with updated BR:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1257809

Auto-buildrequires OK.

rpmlint says:
mingw32-wpcap.noarch: W: no-documentation

The license file should be included in %doc.

mingw32-wpcap.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwpcap.a
mingw32-wpcap.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libpacket.a

These are implibs, so they should be renamed / installed as
libfoo.dll.a

Please fix the above and I'll get round to a formal review.
Comment 4 Thomas Sailer 2009-03-25 07:04:27 EDT
Thanks a lot for taking the review and the initial comments!

The fixed spec/srpm is here:
http://sailer.fedorapeople.org/mingw32-wpcap.spec
http://sailer.fedorapeople.org/mingw32-wpcap-4.1.beta5-2.fc11.src.rpm

Scratch build still ongoing, but local compile is ok.
Comment 5 Richard W.M. Jones 2009-03-25 07:31:26 EDT
+ rpmlint output

rpmlint is silent on the revised package.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  408a8cee8df478f5901f94a4294288a8 1691010
+ package successfully builds on at least one architecture
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun
+ does not use Prefix: /usr
+ package owns all directories it creates
+ no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
+ large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a -devel must require the fully versioned base
n/a packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if available
+ reviewer should build the package in mock
+ the package should build into binary RPMs on all supported architectures
- review should test the package functions as described
n/a scriptlets should be sane
n/a pkgconfig files should go in -devel
n/a shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or /usr/sbin

---------------------

This package is APPROVED by rjones
Comment 6 Thomas Sailer 2009-03-25 08:13:53 EDT
New Package CVS Request
=======================
Package Name: mingw32-wpcap
Short Description: MinGW Windows pcap library.
Owners: sailer rjones
Branches: F-10
InitialCC:
Comment 7 Kevin Fenzi 2009-03-27 16:20:25 EDT
cvs done.
Comment 8 Fedora Update System 2009-03-27 17:12:28 EDT
mingw32-wpcap-4.1.beta5-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-wpcap-4.1.beta5-2.fc10
Comment 9 Fedora Update System 2009-03-31 16:31:04 EDT
mingw32-wpcap-4.1.beta5-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.